// FooDoc.h : interface of the CFooDoc class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_FOODOC_H__E9CC618A_562B_4636_96C5_1271CDC486ED__INCLUDED_)
#define AFX_FOODOC_H__E9CC618A_562B_4636_96C5_1271CDC486ED__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


const int FORM_TO_DATA = 1;
const int DATA_TO_FORM = 2;

class CFooDoc : public SECComDoc
{
protected: // create from serialization only
	CFooDoc();
	DECLARE_DYNCREATE(CFooDoc)

	//  4   
	virtual BOOL SecDocUpdate(UINT nSubCode,DWORD dwData);
	virtual BOOL ProcessUserCommand(UINT nOpCode, UINT nSubCode, UINT dwData);
	virtual BOOL ClipboardText(void);
	virtual BOOL GmemInit(UINT code,HANDLE hMem);

// Attributes
public:
	CFooData m_Data;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CFooDoc)
	public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CFooDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CFooDoc)
	afx_msg void OnWorkCreateBarDocument();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_FOODOC_H__E9CC618A_562B_4636_96C5_1271CDC486ED__INCLUDED_)
