// FooView.cpp : implementation of the CFooView class
//

#include "stdafx.h"
#include "Foo.h"

#include "FooData.h"
#include "FooDoc.h"
#include "FooView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFooView

IMPLEMENT_DYNCREATE(CFooView, CFormView)

BEGIN_MESSAGE_MAP(CFooView, CFormView)
	//{{AFX_MSG_MAP(CFooView)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CFormView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CFormView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFooView construction/destruction

CFooView::CFooView()
	: CFormView(CFooView::IDD)
{
	//{{AFX_DATA_INIT(CFooView)
	//}}AFX_DATA_INIT
	// TODO: add construction code here

}

CFooView::~CFooView()
{
}

void CFooView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CFooView)
	//}}AFX_DATA_MAP


	//  DoDataExchange, 
	CFooDoc *pDoc = GetDocument();

	DDX_Text(pDX, IDC_EDIT_AGE, pDoc->m_Data.m_Age);
	DDV_MinMaxFloat(pDX, pDoc->m_Data.m_Age, 0.f, 150.f);
	DDX_Text(pDX, IDC_EDIT_NAME, pDoc->m_Data.m_Name);
	DDV_MaxChars(pDX, pDoc->m_Data.m_Name, 32);
}

BOOL CFooView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CFooView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	ResizeParentToFit();

}

/////////////////////////////////////////////////////////////////////////////
// CFooView printing

BOOL CFooView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default preparation
	return DoPreparePrinting(pInfo);
}

void CFooView::OnBeginPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add extra initialization before printing
}

void CFooView::OnEndPrinting(CDC* /*pDC*/, CPrintInfo* /*pInfo*/)
{
	// TODO: add cleanup after printing
}

void CFooView::OnPrint(CDC* pDC, CPrintInfo* /*pInfo*/)
{
	// TODO: add customized printing code here
}

/////////////////////////////////////////////////////////////////////////////
// CFooView diagnostics

#ifdef _DEBUG
void CFooView::AssertValid() const
{
	CFormView::AssertValid();
}

void CFooView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CFooDoc* CFooView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CFooDoc)));
	return (CFooDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CFooView message handlers

void CFooView::OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint) 
{
	// TODO: Add your specialized code here and/or call the base class

	//  CFooDoc::UpdateAllViews()
	switch(lHint)
	{
	case FORM_TO_DATA:
		UpdateData(TRUE);
		break;

	case DATA_TO_FORM:
		UpdateData(FALSE);
		((CMDIFrameWnd*)(AfxGetApp()->m_pMainWnd))->MDIActivate(GetParent());
		break;
	}
}
